ReadOnlyFloatWrapper (JavaFX 25)
Description: declaration: module: javafx.base, package: javafx.beans.property, class: ReadOnlyFloatWrapper

# Class ReadOnlyFloatWrapper

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.FloatExpression
javafx.beans.property.ReadOnlyFloatProperty
javafx.beans.property.FloatProperty
javafx.beans.property.FloatPropertyBase
javafx.beans.property.SimpleFloatProperty
javafx.beans.property.ReadOnlyFloatWrapper

All Implemented Interfaces:
  `NumberExpression, Observable, Property<Number>, ReadOnlyProperty<Number>, ObservableFloatValue, ObservableNumberValue, ObservableValue<Number>, WritableFloatValue, WritableNumberValue, WritableValue<Number>`

public class ReadOnlyFloatWrapper extends SimpleFloatProperty
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyFloatWrapper()`
  The constructor of `ReadOnlyFloatWrapper`
  `ReadOnlyFloatWrapper(float initialValue)`
  The constructor of `ReadOnlyFloatWrapper`
  `ReadOnlyFloatWrapper(Object bean, String name)`
  The constructor of `ReadOnlyFloatWrapper`
  `ReadOnlyFloatWrapper(Object bean, String name, float initialValue)`
  The constructor of `ReadOnlyFloatWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyFloatProperty`
  `getReadOnlyProperty()`
  Returns the readonly property, that is synchronized with this `ReadOnlyFloatWrapper`.

  ### Methods declared in class SimpleFloatProperty

  `getBean, getName`

  ### Methods declared in class FloatPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class FloatProperty

  `asObject, bindBidirectional, floatProperty, setValue, unbindBidirectional`

  ### Methods declared in class ReadOnlyFloatProperty

  `readOnlyFloatProperty`

  ### Methods declared in class FloatExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatExpression, floatExpression, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface Observable

  `subscribe`

  ### Methods declared in interface ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlyFloatWrapper

    public ReadOnlyFloatWrapper()
    The constructor of `ReadOnlyFloatWrapper`

  - ### ReadOnlyFloatWrapper

    public ReadOnlyFloatWrapper(float initialValue)
    The constructor of `ReadOnlyFloatWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyFloatWrapper

    public ReadOnlyFloatWrapper(Object bean, String name)
    The constructor of `ReadOnlyFloatWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyFloatProperty`
      `name` - the name of this `ReadOnlyFloatProperty`

  - ### ReadOnlyFloatWrapper

    public ReadOnlyFloatWrapper(Object bean, String name, float initialValue)
    The constructor of `ReadOnlyFloatWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyFloatProperty`
      `name` - the name of this `ReadOnlyFloatProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyFloatProperty getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyFloatWrapper`.
    Returns:
      the readonly property